HttpConnection
Date: 2016-06-24

javax.microedition.io

## Interface HttpConnection

- All Superinterfaces:
    Connection, ContentConnection, InputConnection, OutputConnection, StreamConnection
  All Known Subinterfaces:
    HttpsConnection

      public interface HttpConnection
      extends ContentConnection

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `GET`
    `static String` | `HEAD`
    `static int` | `HTTP_ACCEPTED`
    `static int` | `HTTP_BAD_GATEWAY`
    `static int` | `HTTP_BAD_METHOD`
    `static int` | `HTTP_BAD_REQUEST`
    `static int` | `HTTP_CLIENT_TIMEOUT`
    `static int` | `HTTP_CONFLICT`
    `static int` | `HTTP_CREATED`
    `static int` | `HTTP_ENTITY_TOO_LARGE`
    `static int` | `HTTP_EXPECT_FAILED`
    `static int` | `HTTP_FORBIDDEN`
    `static int` | `HTTP_GATEWAY_TIMEOUT`
    `static int` | `HTTP_GONE`
    `static int` | `HTTP_INTERNAL_ERROR`
    `static int` | `HTTP_LENGTH_REQUIRED`
    `static int` | `HTTP_MOVED_PERM`
    `static int` | `HTTP_MOVED_TEMP`
    `static int` | `HTTP_MULT_CHOICE`
    `static int` | `HTTP_NO_CONTENT`
    `static int` | `HTTP_NOT_ACCEPTABLE`
    `static int` | `HTTP_NOT_AUTHORITATIVE`
    `static int` | `HTTP_NOT_FOUND`
    `static int` | `HTTP_NOT_IMPLEMENTED`
    `static int` | `HTTP_NOT_MODIFIED`
    `static int` | `HTTP_OK`
    `static int` | `HTTP_PARTIAL`
    `static int` | `HTTP_PAYMENT_REQUIRED`
    `static int` | `HTTP_PRECON_FAILED`
    `static int` | `HTTP_PROXY_AUTH`
    `static int` | `HTTP_REQ_TOO_LONG`
    `static int` | `HTTP_RESET`
    `static int` | `HTTP_SEE_OTHER`
    `static int` | `HTTP_TEMP_REDIRECT`
    `static int` | `HTTP_UNAUTHORIZED`
    `static int` | `HTTP_UNAVAILABLE`
    `static int` | `HTTP_UNSUPPORTED_RANGE`
    `static int` | `HTTP_UNSUPPORTED_TYPE`
    `static int` | `HTTP_USE_PROXY`
    `static int` | `HTTP_VERSION`
    `static String` | `POST`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDate()`
    `long` | `getExpiration()`
    `String` | `getFile()`
    `String` | `getHeaderField(int var0)`
    `String` | `getHeaderField(String var0)`
    `long` | `getHeaderFieldDate(String var0, long var1)`
    `int` | `getHeaderFieldInt(String var0, int var1)`
    `String` | `getHeaderFieldKey(int var0)`
    `String` | `getHost()`
    `long` | `getLastModified()`
    `int` | `getPort()`
    `String` | `getProtocol()`
    `String` | `getQuery()`
    `String` | `getRef()`
    `String` | `getRequestMethod()`
    `String` | `getRequestProperty(String var0)`
    `int` | `getResponseCode()`
    `String` | `getResponseMessage()`
    `String` | `getURL()`
    `void` | `setRequestMethod(String var0)`
    `void` | `setRequestProperty(String var0, String var1)`

    - ### Methods inherited from interface javax.microedition.io.ContentConnection

      `getEncoding, getLength, getType`

    - ### Methods inherited from interface javax.microedition.io.InputConnection

      `openDataInputStream, openInputStream`

    - ### Methods inherited from interface javax.microedition.io.OutputConnection

      `openDataOutputStream, openOutputStream`

    - ### Methods inherited from interface javax.microedition.io.Connection

      `close`

- - ### Field Detail

    - #### GET

          static final String GET

      See Also:
        Constant Field Values

    - #### HEAD

          static final String HEAD

      See Also:
        Constant Field Values

    - #### HTTP_ACCEPTED

          static final int HTTP_ACCEPTED

      See Also:
        Constant Field Values

    - #### HTTP_BAD_GATEWAY

          static final int HTTP_BAD_GATEWAY

      See Also:
        Constant Field Values

    - #### HTTP_BAD_METHOD

          static final int HTTP_BAD_METHOD

      See Also:
        Constant Field Values

    - #### HTTP_BAD_REQUEST

          static final int HTTP_BAD_REQUEST

      See Also:
        Constant Field Values

    - #### HTTP_CLIENT_TIMEOUT

          static final int HTTP_CLIENT_TIMEOUT

      See Also:
        Constant Field Values

    - #### HTTP_CONFLICT

          static final int HTTP_CONFLICT

      See Also:
        Constant Field Values

    - #### HTTP_CREATED

          static final int HTTP_CREATED

      See Also:
        Constant Field Values

    - #### HTTP_ENTITY_TOO_LARGE

          static final int HTTP_ENTITY_TOO_LARGE

      See Also:
        Constant Field Values

    - #### HTTP_EXPECT_FAILED

          static final int HTTP_EXPECT_FAILED

      See Also:
        Constant Field Values

    - #### HTTP_FORBIDDEN

          static final int HTTP_FORBIDDEN

      See Also:
        Constant Field Values

    - #### HTTP_GATEWAY_TIMEOUT

          static final int HTTP_GATEWAY_TIMEOUT

      See Also:
        Constant Field Values

    - #### HTTP_GONE

          static final int HTTP_GONE

      See Also:
        Constant Field Values

    - #### HTTP_INTERNAL_ERROR

          static final int HTTP_INTERNAL_ERROR

      See Also:
        Constant Field Values

    - #### HTTP_LENGTH_REQUIRED

          static final int HTTP_LENGTH_REQUIRED

      See Also:
        Constant Field Values

    - #### HTTP_MOVED_PERM

          static final int HTTP_MOVED_PERM

      See Also:
        Constant Field Values

    - #### HTTP_MOVED_TEMP

          static final int HTTP_MOVED_TEMP

      See Also:
        Constant Field Values

    - #### HTTP_MULT_CHOICE

          static final int HTTP_MULT_CHOICE

      See Also:
        Constant Field Values

    - #### HTTP_NOT_ACCEPTABLE

          static final int HTTP_NOT_ACCEPTABLE

      See Also:
        Constant Field Values

    - #### HTTP_NOT_AUTHORITATIVE

          static final int HTTP_NOT_AUTHORITATIVE

      See Also:
        Constant Field Values

    - #### HTTP_NOT_FOUND

          static final int HTTP_NOT_FOUND

      See Also:
        Constant Field Values

    - #### HTTP_NOT_IMPLEMENTED

          static final int HTTP_NOT_IMPLEMENTED

      See Also:
        Constant Field Values

    - #### HTTP_NOT_MODIFIED

          static final int HTTP_NOT_MODIFIED

      See Also:
        Constant Field Values

    - #### HTTP_NO_CONTENT

          static final int HTTP_NO_CONTENT

      See Also:
        Constant Field Values

    - #### HTTP_OK

          static final int HTTP_OK

      See Also:
        Constant Field Values

    - #### HTTP_PARTIAL

          static final int HTTP_PARTIAL

      See Also:
        Constant Field Values

    - #### HTTP_PAYMENT_REQUIRED

          static final int HTTP_PAYMENT_REQUIRED

      See Also:
        Constant Field Values

    - #### HTTP_PRECON_FAILED

          static final int HTTP_PRECON_FAILED

      See Also:
        Constant Field Values

    - #### HTTP_PROXY_AUTH

          static final int HTTP_PROXY_AUTH

      See Also:
        Constant Field Values

    - #### HTTP_REQ_TOO_LONG

          static final int HTTP_REQ_TOO_LONG

      See Also:
        Constant Field Values

    - #### HTTP_RESET

          static final int HTTP_RESET

      See Also:
        Constant Field Values

    - #### HTTP_SEE_OTHER

          static final int HTTP_SEE_OTHER

      See Also:
        Constant Field Values

    - #### HTTP_TEMP_REDIRECT

          static final int HTTP_TEMP_REDIRECT

      See Also:
        Constant Field Values

    - #### HTTP_UNAUTHORIZED

          static final int HTTP_UNAUTHORIZED

      See Also:
        Constant Field Values

    - #### HTTP_UNAVAILABLE

          static final int HTTP_UNAVAILABLE

      See Also:
        Constant Field Values

    - #### HTTP_UNSUPPORTED_RANGE

          static final int HTTP_UNSUPPORTED_RANGE

      See Also:
        Constant Field Values

    - #### HTTP_UNSUPPORTED_TYPE

          static final int HTTP_UNSUPPORTED_TYPE

      See Also:
        Constant Field Values

    - #### HTTP_USE_PROXY

          static final int HTTP_USE_PROXY

      See Also:
        Constant Field Values

    - #### HTTP_VERSION

          static final int HTTP_VERSION

      See Also:
        Constant Field Values

    - #### POST

          static final String POST

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDate

          long getDate()
                       throws IOException

      Throws:
        `IOException`

    - #### getExpiration

          long getExpiration()
                             throws IOException

      Throws:
        `IOException`

    - #### getFile

          String getFile()

    - #### getHeaderField

          String getHeaderField(int var0)
                                throws IOException

      Throws:
        `IOException`

    - #### getHeaderField

          String getHeaderField(String var0)
                                throws IOException

      Throws:
        `IOException`

    - #### getHeaderFieldDate

          long getHeaderFieldDate(String var0,
                                long var1)
                                  throws IOException

      Throws:
        `IOException`

    - #### getHeaderFieldInt

          int getHeaderFieldInt(String var0,
                              int var1)
                                throws IOException

      Throws:
        `IOException`

    - #### getHeaderFieldKey

          String getHeaderFieldKey(int var0)
                                   throws IOException

      Throws:
        `IOException`

    - #### getHost

          String getHost()

    - #### getLastModified

          long getLastModified()
                               throws IOException

      Throws:
        `IOException`

    - #### getPort

          int getPort()

    - #### getProtocol

          String getProtocol()

    - #### getQuery

          String getQuery()

    - #### getRef

          String getRef()

    - #### getRequestMethod

          String getRequestMethod()

    - #### getRequestProperty

          String getRequestProperty(String var0)

    - #### getResponseCode

          int getResponseCode()
                              throws IOException

      Throws:
        `IOException`

    - #### getResponseMessage

          String getResponseMessage()
                                    throws IOException

      Throws:
        `IOException`

    - #### getURL

          String getURL()

    - #### setRequestMethod

          void setRequestMethod(String var0)
                                throws IOException

      Throws:
        `IOException`

    - #### setRequestProperty

          void setRequestProperty(String var0,
                                String var1)
                                  throws IOException

      Throws:
        `IOException`